> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search suggestions

> Get search suggestions.

Get search suggestions.

**Credits:** 5 per successful request. Failed requests and empty result sets are not charged.

## Authentication

<ParamField header="X-API-Key" type="string" required>Your ScrapeBadger API key.</ParamField>

## Parameters

<ParamField query="query" type="string" required>
  Query. Minimum length: 1.
</ParamField>

## Response

```json theme={null}
{
  "suggestions": [
    {
      "label": "laptop",
      "location": "/s?searchTerm=laptop&category=0|All|matchallpartial|all%20categories"
    }
  ],
  "meta_data": [
    {
      "name": "total_suggestions",
      "value": "10"
    }
  ]
}
```

## Example

```bash theme={null}
curl --get 'https://scrapebadger.com/v1/target/autocomplete' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --data-urlencode 'query=laptop'
```

[Browse all Target endpoints](/target/overview).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.